This is a scraper that runs on Morph. To get started see the documentation

Contributors BernhardKoehler

Last run failed with status code 255.

Console output of last run

Injecting configuration and compiling... [1G [1G-----> Node.js app detected [1G [1G-----> Creating runtime environment [1G [1G NPM_CONFIG_LOGLEVEL=error [1G NPM_CONFIG_PRODUCTION=true [1G NPM_CONFIG_CAFILE=/etc/ssl/certs/ca-certificates.crt [1G NODE_VERBOSE=false [1G NODE_ENV=production [1G NODE_TLS_REJECT_UNAUTHORIZED=0 [1G NODE_MODULES_CACHE=true [1G [1G-----> Installing binaries [1G engines.node (package.json): unspecified [1G engines.npm (package.json): unspecified (use default) [1G [1G Resolving node version 6.x... [1G Downloading and installing node 6.17.1... [1G Using default npm version: 3.10.10 [1G [1G-----> Restoring cache [1G Skipping cache restore (not-found) [1G [1G-----> Building dependencies [1G Installing node modules (package.json) [1G [1G > sqlite3@5.1.2 install /tmp/build/node_modules/sqlite3 [1G > node-pre-gyp install --fallback-to-build [1G [1G node-pre-gyp ERR! UNCAUGHT EXCEPTION [1G node-pre-gyp ERR! stack /tmp/build/node_modules/detect-libc/lib/detect-libc.js:76 [1G node-pre-gyp ERR! stack const family = async () => { [1G node-pre-gyp ERR! stack ^ [1G node-pre-gyp ERR! stack [1G node-pre-gyp ERR! stack SyntaxError: Unexpected token ( [1G node-pre-gyp ERR! stack at createScript (vm.js:56:10) [1G node-pre-gyp ERR! stack at Object.runInThisContext (vm.js:97:10) [1G node-pre-gyp ERR! stack at Module._compile (module.js:549:28) [1G node-pre-gyp ERR! stack at Object.Module._extensions..js (module.js:586:10) [1G node-pre-gyp ERR! stack at Module.load (module.js:494:32) [1G node-pre-gyp ERR! stack at tryModuleLoad (module.js:453:12) [1G node-pre-gyp ERR! stack at Function.Module._load (module.js:445:3) [1G node-pre-gyp ERR! stack at Module.require (module.js:504:17) [1G node-pre-gyp ERR! stack at require (internal/module.js:20:19) [1G node-pre-gyp ERR! stack at Object. (/tmp/build/node_modules/@mapbox/node-pre-gyp/lib/util/versioning.js:8:21) [1G node-pre-gyp ERR! System Linux 5.12.2-x86_64-linode144 [1G node-pre-gyp ERR! command "/tmp/build/.heroku/node/bin/node" "/tmp/build/node_modules/.bin/node-pre-gyp" "install" "--fallback-to-build" [1G node-pre-gyp ERR! cwd /tmp/build/node_modules/sqlite3 [1G node-pre-gyp ERR! node -v v6.17.1 [1G node-pre-gyp ERR! node-pre-gyp -v v1.0.10 [1G @0.0.1 /tmp/build [1G +-- cheerio@1.0.0-rc.12 [1G | +-- cheerio-select@2.1.0 [1G | | +-- boolbase@1.0.0 [1G | | +-- css-select@5.1.0 [1G | | | `-- nth-check@2.1.1 [1G | | +-- css-what@6.1.0 [1G | | `-- domelementtype@2.3.0 [1G | +-- dom-serializer@2.0.0 [1G | | `-- entities@4.4.0 [1G | +-- domhandler@5.0.3 [1G | +-- domutils@3.0.1 [1G | +-- htmlparser2@8.0.1 [1G | +-- parse5@7.1.1 [1G | `-- parse5-htmlparser2-tree-adapter@7.0.0 [1G `-- request@2.88.2 [1G +-- aws-sign2@0.7.0 [1G +-- aws4@1.11.0 [1G +-- caseless@0.12.0 [1G +-- combined-stream@1.0.8 [1G | `-- delayed-stream@1.0.0 [1G +-- extend@3.0.2 [1G +-- forever-agent@0.6.1 [1G +-- form-data@2.3.3 [1G | `-- asynckit@0.4.0 [1G +-- har-validator@5.1.5 [1G | +-- ajv@6.12.6 [1G | | +-- fast-deep-equal@3.1.3 [1G | | +-- fast-json-stable-stringify@2.1.0 [1G | | +-- json-schema-traverse@0.4.1 [1G | | `-- uri-js@4.4.1 [1G | `-- har-schema@2.0.0 [1G +-- http-signature@1.2.0 [1G | +-- assert-plus@1.0.0 [1G | +-- jsprim@1.4.2 [1G | | +-- extsprintf@1.3.0 [1G | | +-- json-schema@0.4.0 [1G | | `-- verror@1.10.0 [1G | | `-- core-util-is@1.0.2 [1G | `-- sshpk@1.17.0 [1G | +-- asn1@0.2.6 [1G | +-- bcrypt-pbkdf@1.0.2 [1G | +-- dashdash@1.14.1 [1G | +-- ecc-jsbn@0.1.2 [1G | +-- getpass@0.1.7 [1G | +-- jsbn@0.1.1 [1G | +-- safer-buffer@2.1.2 [1G | `-- tweetnacl@0.14.5 [1G +-- is-typedarray@1.0.0 [1G +-- isstream@0.1.2 [1G +-- json-stringify-safe@5.0.1 [1G +-- mime-types@2.1.35 [1G | `-- mime-db@1.52.0 [1G +-- oauth-sign@0.9.0 [1G +-- performance-now@2.1.0 [1G +-- qs@6.5.3 [1G +-- safe-buffer@5.2.1 [1G +-- tough-cookie@2.5.0 [1G | +-- psl@1.9.0 [1G | `-- punycode@2.1.1 [1G +-- tunnel-agent@0.6.0 [1G `-- uuid@3.4.0 [1G [1G npm ERR! Linux 5.12.2-x86_64-linode144 [1G npm ERR! argv "/tmp/build/.heroku/node/bin/node" "/tmp/build/.heroku/node/bin/npm" "install" "--unsafe-perm" "--userconfig" "/tmp/build/.npmrc" [1G npm ERR! node v6.17.1 [1G npm ERR! npm v3.10.10 [1G npm ERR! code ELIFECYCLE [1G [1G npm ERR! sqlite3@5.1.2 install: `node-pre-gyp install --fallback-to-build` [1G npm ERR! Exit status 7 [1G npm ERR! [1G npm ERR! Failed at the sqlite3@5.1.2 install script 'node-pre-gyp install --fallback-to-build'. [1G npm ERR! Make sure you have the latest version of node.js and npm installed. [1G npm ERR! If you do, this is most likely a problem with the sqlite3 package, [1G npm ERR! not with npm itself. [1G npm ERR! Tell the author that this fails on your system: [1G npm ERR! node-pre-gyp install --fallback-to-build [1G npm ERR! You can get information on how to open an issue for this project with: [1G npm ERR! npm bugs sqlite3 [1G npm ERR! Or if that isn't available, you can get their info via: [1G npm ERR! npm owner ls sqlite3 [1G npm ERR! There is likely additional logging output above. [1G [1G npm ERR! Please include the following file with any support request: [1G npm ERR! /tmp/build/npm-debug.log [1G [1G-----> Build failed [1G [1G We're sorry this build is failing! You can troubleshoot common issues here: [1G https://devcenter.heroku.com/articles/troubleshooting-node-deploys [1G [1G Some possible problems: [1G [1G - Node version not specified in package.json [1G https://devcenter.heroku.com/articles/nodejs-support#specifying-a-node-js-version [1G [1G Love, [1G Heroku [1G

Statistics

Total run time: 1 minute

Total cpu time used: less than 5 seconds

Total disk space used: 6.02 KB

History

  • Manually ran revision f710bbd5 and failed .
  • Created on morph.io

Scraper code

Node.js

WhyDontThisRun / scraper.js